function ListWeather(){
	return GetChanceOfPrecipitation() + "\r\n" + GetWindDir() + "\r\n" + GetWindSpeed() + "\r\n" + GetHumidity() + "\r\n" + GetLastMeasure() + "\r\n" +  GetLocation();
}

	 
	 /********************************************************/
  /**** SWEather v2.1 BETA - uk.weather.com in Swedish ****/
 /**** by Lister (lister@telia.com)
/**** german translation by internetcop               ****/
/********************************************************/

// Hier die URL der Messtation eingeben (suchen auf http://uk.weather.com/weather/local/)

var baseURL      = "http://uk.weather.com/weather/local/GMXX0020";


// Anzeige in km/h oder m/s

var windUnit     = "km/h";  


// Um die Vorrausage zu personalisieren ist es hier mglich, mehrere Werte aufzulisten.
// Zeilenumbrche knnen mit "\r\n" erzwungen werden.

function My_TodayWeather(){
	return GetToday() + "\r\n" + GetLocation() + "\r\n" + GetLastMeasure() + "\r\n" + GetChanceOfPrecipitation() + "\r\n" + GetWindDir() + "\r\n" + GetWindSpeed() + "\r\n" + GetHumidity() + "\r\n" + GetVisibility() + "\r\n" + GetPressure() + "\r\n" + GetUVIndex() + "\r\n" + GetSunrise() + "\r\n" + GetSunset();
}

function My_TonightWeather(){
	return GetTonightCondition() + ", ca " + GetTonightTemp() + "\r\n" + GetTonightWindDir() + "\r\n" + GetTonightWindSpeed() + "\r\n" + GetTonightChanceOfPrecipitation();
}

function My_Day2Weather(){
	return GetDay2() + "\r\n" + GetDay2MinTemp() + " till " + GetDay2MaxTemp() + "\r\n" + GetDay2Condition() + "\r\n" + GetDay2WindDir() + "\r\n" + GetDay2WindSpeed() + "\r\n" + GetDay2ChanceOfPrecipitation();
}

function My_Day3Weather(){
	return GetDay3() + "\r\n" + GetDay3MinTemp() + " till " + GetDay3MaxTemp() + "\r\n" + GetDay3Condition() + "\r\n" + GetDay3WindDir() + "\r\n" + GetDay3WindSpeed() + "\r\n" + GetDay3ChanceOfPrecipitation();
}











 /**************** WEATHER FUNCTIONS *****************/
/********* EDIT ON OWN RISK BELOW THIS LINE *********/

/**** TODAY ****/

function GetToday(){
	return Sys_GetDate(0);
}

function GetTemp(){
	return Sys_GetXML().selectSingleNode("//weather/today/temp").text + "";
}

function GetTempFeel(){
	return Sys_GetXML().selectSingleNode("//weather/today/tempfeel").text + "";
}

function GetTempSymb(){
	var temp = Sys_GetXML().selectSingleNode("//weather/today/temp").text;
	if (temp > 20) return "z";
	else if (temp > 5) return "y";
	else return "x";
}

function GetSymbol(){
	return Sys_GetXML().selectSingleNode("//weather/today/symbol").text;
}

function GetCondition(){
	return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/today/condition").text);
}

function GetLastMeasure(){
	return Sys_GetXML().selectSingleNode("//weather/today/lastmeasure").text;
}

function GetDewPoint(){
	return Sys_GetXML().selectSingleNode("//weather/today/dewpoint").text + "";
}

function GetLocation(){
	return Sys_GetXML().selectSingleNode("//weather/location").text;
}

function GetVisibility(){
	var vis = Sys_GetXML().selectSingleNode("//weather/today/visibility").text;
	if(isNaN(vis)) return Sys_Translate(vis);
	else return Math.round((parseFloat(vis) * 1609)/1000) + " km";;
}

function GetPressure(){ 
	return Sys_GetXML().selectSingleNode("//weather/today/pressure").text;
}

function GetUVIndex(){ 
	return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/today/uvindex").text);
}

function GetWindSpeed(){ 
	return Sys_ParseWind(Sys_GetXML().selectSingleNode("//weather/today/wind").text);
}

function GetWindDir(){ 
	var temp = Sys_GetXML().selectSingleNode("//weather/today/wind").text;
	if(Sys_Trim(temp)!="calm")
		temp = temp.substr(0,temp.indexOf(" at"));
	return Sys_Translate(temp);
	
}

function GetHumidity(){
 return Sys_GetXML().selectSingleNode("//weather/today/humidity").text;
}

function GetSunrise(){
  return Sys_GetXML().selectSingleNode("//weather/today/sunrise").text;
}

function GetSunset(){
  return Sys_GetXML().selectSingleNode("//weather/today/sunset").text;
}

function GetChanceOfPrecipitation(){
	return Sys_GetXML().selectSingleNode("//weather/today/chanceofprecipitation").text;
}

/**** TONIGHT ****/

function GetTonightTemp(){
  return Sys_GetXML().selectSingleNode("//weather/tonight/temp").text + "";
}

function GetTonightCondition(){
  return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/tonight/condition").text);
}

function GetTonightSymbol(){
	return Sys_GetXML().selectSingleNode("//weather/tonight/symbol").text;
}

function GetTonightWindSpeed(){ 
	return Sys_ParseWind(Sys_GetXML().selectSingleNode("//weather/tonight/wind").text);
}

function GetTonightWindDir(){ 
	var temp = Sys_GetXML().selectSingleNode("//weather/tonight/wind").text;
	if(Sys_Trim(temp)!="calm")
		temp = temp.substr(0,temp.indexOf(" at"));
	return Sys_Translate(temp);
}

function GetTonightChanceOfPrecipitation(){
  return Sys_GetXML().selectSingleNode("//weather/tonight/chanceofprecipitation").text;
}


/**** DAY 2 ****/
function GetDay2(){
	return Sys_GetDate(1);
}
function GetDay2Temps(){
 return Sys_GetXML().selectSingleNode("//weather/day2/mintemp").text + "/" + Sys_GetXML().selectSingleNode("//weather/day2/maxtemp").text + "";
}

function GetDay2MaxTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day2/maxtemp").text + "";
}

function GetDay2MinTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day2/mintemp").text + "";
}

function GetDay2Condition(){
  return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/day2/condition").text);
}

function GetDay2Symbol(){
	return Sys_GetXML().selectSingleNode("//weather/day2/symbol").text;
}

function GetDay2WindSpeed(){ 
	return Sys_ParseWind(Sys_GetXML().selectSingleNode("//weather/day2/wind").text);
}

function GetDay2WindDir(){ 
	var temp = Sys_GetXML().selectSingleNode("//weather/day2/wind").text;
	if(Sys_Trim(temp)!="calm")
		temp = temp.substr(0,temp.indexOf(" at"));
	return Sys_Translate(temp);
}

function GetDay2ChanceOfPrecipitation(){
  return Sys_GetXML().selectSingleNode("//weather/day2/chanceofprecipitation").text;
}


/**** DAY 3 ****/
function GetDay3(){
	return Sys_GetDate(2);
}

function GetDay3Temps(){
 return Sys_GetXML().selectSingleNode("//weather/day3/mintemp").text + "/" + Sys_GetXML().selectSingleNode("//weather/day3/maxtemp").text + "";
}

function GetDay3MaxTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day3/maxtemp").text + "";
}

function GetDay3MinTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day3/mintemp").text + "";
}

function GetDay3Condition(){
  return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/day3/condition").text);
}

function GetDay3Symbol(){
	return Sys_GetXML().selectSingleNode("//weather/day3/symbol").text;
}

function GetDay3WindSpeed(){ 
	return Sys_ParseWind(Sys_GetXML().selectSingleNode("//weather/day3/wind").text);
}

function GetDay3WindDir(){ 
	var temp = Sys_GetXML().selectSingleNode("//weather/day3/wind").text;
	if(Sys_Trim(temp)!="calm")
		temp = temp.substr(0,temp.indexOf(" at"));
	return Sys_Translate(temp);
}

function GetDay3ChanceOfPrecipitation(){
  return Sys_GetXML().selectSingleNode("//weather/day3/chanceofprecipitation").text;
}

/**** DAY 4 ****/
function GetDay4(){
	return Sys_GetDate(3);
}

function GetDay4Temps(){
 return Sys_GetXML().selectSingleNode("//weather/day4/mintemp").text + "/" + Sys_GetXML().selectSingleNode("//weather/day4/maxtemp").text + "";
}

function GetDay4MaxTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day4/maxtemp").text + "";
}

function GetDay4MinTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day4/mintemp").text + "";
}

function GetDay4Condition(){
  return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/day4/condition").text);
}

function GetDay4Symbol(){
	return Sys_GetXML().selectSingleNode("//weather/day4/symbol").text;
}

function GetDay4WindSpeed(){ 
	return Sys_ParseWind(Sys_GetXML().selectSingleNode("//weather/day4/wind").text);
}

function GetDay4WindDir(){ 
	var temp = Sys_GetXML().selectSingleNode("//weather/day4/wind").text;
	if(Sys_Trim(temp)!="calm")
		temp = temp.substr(0,temp.indexOf(" at"));
	return Sys_Translate(temp);
}

function GetDay4ChanceOfPrecipitation(){
  return Sys_GetXML().selectSingleNode("//weather/day4/chanceofprecipitation").text;
}


/**** DAY 5 ****/
function GetDay5(){
	return Sys_GetDate(4);
}

function GetDay5Temps(){
 return Sys_GetXML().selectSingleNode("//weather/day5/mintemp").text + "/" + Sys_GetXML().selectSingleNode("//weather/day5/maxtemp").text + "";
}

function GetDay5MaxTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day5/maxtemp").text + "";
}

function GetDay5MinTemp(){
  return Sys_GetXML().selectSingleNode("//weather/day5/mintemp").text + "";
}

function GetDay5Condition(){
  return Sys_Translate(Sys_GetXML().selectSingleNode("//weather/day5/condition").text);
}

function GetDay5Symbol(){
	return Sys_GetXML().selectSingleNode("//weather/day5/symbol").text;
}

function GetDay5WindSpeed(){ 
	return Sys_ParseWind(Sys_GetXML().selectSingleNode("//weather/day5/wind").text);
}

function GetDay5WindDir(){ 
	var temp = Sys_GetXML().selectSingleNode("//weather/day5/wind").text;
	if(Sys_Trim(temp)!="calm")
		temp = temp.substr(0,temp.indexOf(" at"));
	return Sys_Translate(temp);
}

function GetDay5ChanceOfPrecipitation(){
  return Sys_GetXML().selectSingleNode("//weather/day5/chanceofprecipitation").text;
}


/**************** SYSTEM FUNCTIONS (EDIT ON OWN RISK) ****************/


  /**********************************************************/
 /**** Translates weather terms from English to Swedish ****/
/**********************************************************/
function Sys_Translate(str){
	str = str.replace(/miles/g, " Meilen");
	str = str.replace(/Unlimited/g, "Unbegrenzt");
	str = str.replace(/Unknown|N\/A/g, "Unbekannt");
	str = str.replace(/Ice/g, "Eis");
	str = str.replace(/Late/g, "Spt");
	str = str.replace(/Early/g, "Frh");
	str = str.replace(/Hail/g, "Hagel");
	str = str.replace(/Hail Showers*/g, "Hagelschauer");
	str = str.replace(/Snow to Rain/g, "Schneeregen");
	str = str.replace(/Rain to Snow/g, "Schneeregen");
	str = str.replace(/Chilled/g, "Khl");
	str = str.replace(/Fog|Mist/g, "Nebel");
	str = str.replace(/PM/g, "Nachmittag:");
	str = str.replace(/AM/g, "Vormittag:");
	str = str.replace(/Partly Cloudy/g, "Teils bewlkt");
	str = str.replace(/Snow Showers*/g, "Schneeschauer");
	str = str.replace(/Light Snow Showers*/g, "Leichte Schneeschauer");
	str = str.replace(/Partly/g, "Teils");
	str = str.replace(/Mostly/g, "Meist");
	str = str.replace(/Cloudy/g, "Bewlkt");
	str = str.replace(/Haze/g, "Bedeckt");
	str = str.replace(/and/g, "&");
	str = str.replace(/Wintry Mix/g, "Winterlicher Mix");
	str = str.replace(/Few/g, "Wenig");
	str = str.replace(/Windy*/g, "Windig");
	str = str.replace(/Drizzle/g, "Nieselregen");
	str = str.replace(/T-Storms/g, "Gewitter");
	str = str.replace(/Storms/g, "Strme");
	str = str.replace(/Storm/g, "Sturm");
	str = str.replace(/Light Showers*/g, "Leichte Schauer");
	str = str.replace(/Rain Shower/g, "Regenschauer");
	str = str.replace(/Snow Shower/g, "Schneeschauer");
	str = str.replace(/Light/g, "Leicht");
	str = str.replace(/Heavy/g, "Stark");
	str = str.replace(/Snow/g, "Schnee");
	str = str.replace(/Rain/g, "Regen");
	str = str.replace(/Showers*/g, "Schauer");
	str = str.replace(/Clear/g, "Klar");
	str = str.replace(/Hot/g, "Heiss");
	str = str.replace(/Overcast/g, "Bewlkt");
	str = str.replace(/Calm/gi, "Windstill");
	str = str.replace(/Sunny/g, "Sonnig");
	str = str.replace(/Sun/g, "Sonne");
	str = str.replace(/Wet/g, "Feucht");
	str = str.replace(/Scattered/g, "Vereinzelt");
	str = str.replace(/Flurries/g, "(Aufregungen)");
	str = str.replace(/Fair/g, "Klar");
	str = str.replace(/Breeze/g, "Windig");
	str = str.replace(/  /g, " ");
	str = str.replace(/gusting to/g, "-");
	str = str.replace(/to/g, "-");
	str = str.replace(/From the /g, "");
	str = str.replace(/High/g, "Hoch");
	str = str.replace(/Moderate/g, "Mig");
	str = str.replace(/Low/g, "Niedrig");
	str = str.replace(/Minimal/g, "Minimal");
	str = str.replace(/N\/A/g, "");

	str = str.replace(/North Northwest/g, "Nord-Nordwest");
	str = str.replace(/North Northeast/g, "Nord-Nordost");
	str = str.replace(/South Southwest/g, "Sd-Sdwest");
	str = str.replace(/South Southeast/g, "Sd-Sdost");
	str = str.replace(/East Northeast/g, "Ost-Nordost");
	str = str.replace(/East Northwest/g, "Ost-Nordwest");
	str = str.replace(/West Northeast/g, "West-Nordost");
	str = str.replace(/West Northwest/g, "West-Nordwest");
	str = str.replace(/East Southeast/g, "Ost-Sdost");
	str = str.replace(/East Southwest/g, "Ost-Sdwest");
	str = str.replace(/West Southeast/g, "West-Sdost");
	str = str.replace(/West Southwest/g, "West-Sdwest");
	str = str.replace(/Northeast/g, "Nordost");
	str = str.replace(/Northwest/g, "Nordwest");
	str = str.replace(/Southwest/g, "Sdwest");
	str = str.replace(/Southeast/g, "Sdost");
	str = str.replace(/North/g, "Norden");
	str = str.replace(/South/g, "Sden");
	str = str.replace(/West/g, "Westen");
	str = str.replace(/East/g, "Osten");

	return str;
}//END Sys_Translate

var file;

   /***********************************************************/
  /**** Updates the XML file if necessary, then retrieves ****/
 /**** said XML file.                                    ****/
/***********************************************************/
function Sys_GetXML()
{
	try{
  	
		var xmlDoc = new ActiveXObject("Msxml2.DOMDocument");
		xmlDoc.async = false;
		xmlDoc.resolveExternals = false;
		var fs = new ActiveXObject("Scripting.FileSystemObject");
		file = fs.GetSpecialFolder(2) + "\\SWEather.xml";

		if( !fs.fileExists(file) )
		{
			xmlDoc = Sys_CreateBaseXML(xmlDoc);
			xmlDoc = Sys_GetNewXML(xmlDoc);
			xmlDoc.save(file);
		}
		else
		{
			xmlDoc.load(file);
			var f = fs.GetFile(file);
			var filetime = new Date(f.DateLastModified);
			var now = new Date();
			var compareHigh = new Date();
			var compareLow = new Date();
			if(now.getMinutes()<24)
				compareHigh.setHours(compareHigh.getHours()-1,54);
			else
				compareHigh.setMinutes(54);
			compareLow.setMinutes(24);

			if(  ( (now>compareHigh) && (compareHigh>filetime) )  || 
				   ( (now>compareLow) && (compareLow>filetime) )    ||
				   (xmlDoc.selectSingleNode("//weather/url").text != baseURL)  )
			{
				xmlDoc = Sys_GetNewXML(xmlDoc);
				xmlDoc.save(file);
			}
		}
		
		xmlDoc.load(file);
		return xmlDoc;

	}catch(e){
		return xmlDoc;
	}finally{
		delete xmlDoc;
		delete fs;
		delete now;
		delete filetime;
	}
}//END Sys_GetXML


	/*********************************************************/
 /**** Retrieves the SWEather data from uk.weather.com ****/
/*********************************************************/
function Sys_GetNewXML(xmlDoc,getOnlyToday)
{ // Begin ugly function :)

	try{
		
		/**** TODAY ****/
		var http = new ActiveXObject("Microsoft.XMLHTTP");
		http.Open("GET",baseURL + "?rnd="+Math.random(),false);    
		http.send();
		var page = Sys_FixHTML(http.responseText);
		page = page.substr(page.indexOf("<!-- Insert City Name and Zip Code -->"));
		page = page.substr(0,page.indexOf(", at ")+11);

		xmlDoc.selectSingleNode("//weather/location").text = Sys_GetText(page,"<!-- Insert City Name and Zip Code -->", ",", 0);
		xmlDoc.selectSingleNode("//weather/today/temp").text = Sys_GetText(page,"<TD CLASS=\"obsTempText\" ALIGN=\"CENTER\"><B>","C", 0);
		xmlDoc.selectSingleNode("//weather/today/tempfeel").text = Sys_GetText(page,"Feels Like<BR>", "C", 0);
		xmlDoc.selectSingleNode("//weather/today/symbol").text = Sys_TranslateSymbol(Sys_GetText(page,"http://image.weather.com/web/common/intlwxicons/52/", ".gif", 0));
		xmlDoc.selectSingleNode("//weather/today/condition").text =	Sys_GetText(page,".gif\" height=\"52\" width=\"52\" border=\"0\" ALT=\"", "\"", 0);
		xmlDoc.selectSingleNode("//weather/today/lastmeasure").text = Sys_Trim(Sys_GetText(page,", at ", " ", 0));
		xmlDoc.selectSingleNode("//weather/today/dewpoint").text = Sys_GetText(page,"Dew Point:", "C</TD>", 233);
		xmlDoc.selectSingleNode("//weather/today/visibility").text = Sys_Trim(Sys_GetText(page,"Visibility:", "</TD>", 234));
		xmlDoc.selectSingleNode("//weather/today/pressure").text = Sys_GetText(page,"Barometer:", "</TD>", 233);
		xmlDoc.selectSingleNode("//weather/today/uvindex").text = Sys_GetText(page,"UV Index:", "</TD>", 233);
		xmlDoc.selectSingleNode("//weather/today/wind").text = Sys_GetText(page,"Wind:", "</TD>", 233);
		xmlDoc.selectSingleNode("//weather/today/humidity").text = Sys_GetText(page,"Humidity:", "</TD>", 233);
	
		var downloadTime = new Date();
		var now = new Date();
		downloadTime.setHours(7,15,0);
				
		// If the last forecast update was yesterday, get new forecast pages
		if( ((now>downloadTime) && (downloadTime>new Date(parseInt(xmlDoc.selectSingleNode("//weather/lastforecastupdate").text)))) || 
			  (xmlDoc.selectSingleNode("//weather/url").text != baseURL) )
		{
			xmlDoc.selectSingleNode("//weather/lastforecastupdate").text = now.getTime();
			xmlDoc.selectSingleNode("//weather/url").text = baseURL;
			
			/**** TODAY EXTENDED (INCL TONIGHT) ****/
			http.Open("GET","http://uk.weather.com/weather/tenday/"+baseURL.substr(36,8) + "?day=1" + "&rnd="+Math.random(),false); 
			http.send();
			page = Sys_FixHTML(http.responseText);
			page = page.substr(page.indexOf("<td WIDTH=\"44\" CLASS=\"dataTextBold\">"));
			page = page.substr(0,page.indexOf("Avg. Max:"));
		
			xmlDoc.selectSingleNode("//weather/today/sunrise").text = Sys_GetText(page, "Sunrise:</TD>", "</TD>", 36);
			xmlDoc.selectSingleNode("//weather/today/sunset").text = Sys_GetText(page, "Sunset:</TD>", "</TD>", 36);
			var prectemp = Sys_Trim(Sys_GetText(page, "Chance of Precip.:</TD>", "</TD>", 36));
			xmlDoc.selectSingleNode("//weather/today/chanceofprecipitation").text = prectemp.replace(/>/,"");

			page = page.substr(page.indexOf(">Night"));
			xmlDoc.selectSingleNode("//weather/tonight/temp").text = Sys_GetText(page, "<FONT CLASS=\"dataText\">", "C", 0);
			xmlDoc.selectSingleNode("//weather/tonight/symbol").text = Sys_TranslateSymbol(Sys_GetText(page, "http:\/\/image.weather.com\/web\/common\/intlwxicons\/31\/", ".gif", 0));
			xmlDoc.selectSingleNode("//weather/tonight/condition").text = Sys_GetText(page, "<TD WIDTH=\"105\" CLASS=\"dataText\">", "</TD>", 0);
			xmlDoc.selectSingleNode("//weather/tonight/wind").text = Sys_GetText(page, "Wind:", "</TD>", 41);
			xmlDoc.selectSingleNode("//weather/tonight/chanceofprecipitation").text = Sys_Trim(Sys_GetText(page, "Chance of Precip.:</TD>", "</TD>", 36));

			/**** DAY 2 ****/
			http.Open("GET","http://uk.weather.com/weather/tenday/"+baseURL.substr(36,8) + "?day=2" + "&rnd="+Math.random(),false); 
			http.send();
			page = Sys_FixHTML(http.responseText);
			page = page.substr(page.indexOf("Day</TD>"));
			page = page.substr(0,page.indexOf("Min:")+50);
			
			xmlDoc.selectSingleNode("//weather/day2/mintemp").text = Sys_GetText(page, "Min:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day2/maxtemp").text = Sys_GetText(page, "Max:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day2/symbol").text =  Sys_TranslateSymbol(Sys_GetText(page, "<TD WIDTH=\"80\"><IMG SRC=\"http:\/\/image.weather.com\/web\/common\/intlwxicons\/31\/", ".gif", 0));
			xmlDoc.selectSingleNode("//weather/day2/condition").text = Sys_GetText(page, "<TD WIDTH=\"105\" CLASS=\"dataText\">", "</TD>", 0);
			xmlDoc.selectSingleNode("//weather/day2/wind").text = Sys_GetText(page, "Wind:", "</TD>", 42);
			xmlDoc.selectSingleNode("//weather/day2/chanceofprecipitation").text = Sys_Trim(Sys_GetText(page, "Chance of Precip.:</TD>", "</TD>", 37));

			/**** DAY 3 ****/
			http.Open("GET","http://uk.weather.com/weather/tenday/"+baseURL.substr(36,8) + "?day=3" + "&rnd="+Math.random(),false); 
			http.send();
			page = Sys_FixHTML(http.responseText);
			page = page.substr(page.indexOf("Day</TD>"));
			page = page.substr(0,page.indexOf("Min:")+50);
			
			xmlDoc.selectSingleNode("//weather/day3/mintemp").text = Sys_GetText(page, "Min:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day3/maxtemp").text = Sys_GetText(page, "Max:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day3/symbol").text =  Sys_TranslateSymbol(Sys_GetText(page, "<TD WIDTH=\"80\"><IMG SRC=\"http:\/\/image.weather.com\/web\/common\/intlwxicons\/31\/", ".gif", 0));
			xmlDoc.selectSingleNode("//weather/day3/condition").text = Sys_GetText(page, "<TD WIDTH=\"105\" CLASS=\"dataText\">", "</TD>", 0);
			xmlDoc.selectSingleNode("//weather/day3/wind").text = Sys_GetText(page, "Wind:", "</TD>", 42);
			xmlDoc.selectSingleNode("//weather/day3/chanceofprecipitation").text = Sys_Trim(Sys_GetText(page, "Chance of Precip.:</TD>", "</TD>", 37));
			
			/**** DAY 4 ****/
			http.Open("GET","http://uk.weather.com/weather/tenday/"+baseURL.substr(36,8) + "?day=4" + "&rnd="+Math.random(),false); 
			http.send();
			page = Sys_FixHTML(http.responseText);
			page = page.substr(page.indexOf("Day</TD>"));
			page = page.substr(0,page.indexOf("Min:")+50);
			
			xmlDoc.selectSingleNode("//weather/day4/mintemp").text = Sys_GetText(page, "Min:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day4/maxtemp").text = Sys_GetText(page, "Max:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day4/symbol").text =  Sys_TranslateSymbol(Sys_GetText(page, "<TD WIDTH=\"80\"><IMG SRC=\"http:\/\/image.weather.com\/web\/common\/intlwxicons\/31\/", ".gif", 0));
			xmlDoc.selectSingleNode("//weather/day4/condition").text = Sys_GetText(page, "<TD WIDTH=\"105\" CLASS=\"dataText\">", "</TD>", 0);
			xmlDoc.selectSingleNode("//weather/day4/wind").text = Sys_GetText(page, "Wind:", "</TD>", 42);
			xmlDoc.selectSingleNode("//weather/day4/chanceofprecipitation").text = Sys_Trim(Sys_GetText(page, "Chance of Precip.:</TD>", "</TD>", 37));

			/**** DAY 5 ****/
			http.Open("GET","http://uk.weather.com/weather/tenday/"+baseURL.substr(36,8) + "?day=5" + "&rnd="+Math.random(),false); 
			http.send();
			page = Sys_FixHTML(http.responseText);
			page = page.substr(page.indexOf("Day</TD>"));
			page = page.substr(0,page.indexOf("Min:")+50);
			
			xmlDoc.selectSingleNode("//weather/day5/mintemp").text = Sys_GetText(page, "Min:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day5/maxtemp").text = Sys_GetText(page, "Max:", "C", 25);
			xmlDoc.selectSingleNode("//weather/day5/symbol").text =  Sys_TranslateSymbol(Sys_GetText(page, "<TD WIDTH=\"80\"><IMG SRC=\"http:\/\/image.weather.com\/web\/common\/intlwxicons\/31\/", ".gif", 0));
			xmlDoc.selectSingleNode("//weather/day5/condition").text = Sys_GetText(page, "<TD WIDTH=\"105\" CLASS=\"dataText\">", "</TD>", 0);
			xmlDoc.selectSingleNode("//weather/day5/wind").text = Sys_GetText(page, "Wind:", "</TD>", 42);
			xmlDoc.selectSingleNode("//weather/day5/chanceofprecipitation").text = Sys_Trim(Sys_GetText(page, "Chance of Precip.:</TD>", "</TD>", 37));
		}

	return xmlDoc;

	}catch(e){
		return xmlDoc;
	}finally{
		delete http;
		delete page;
		delete now;
		delete downloadTime;
	}
}//END Sys_GetNewXML


   /******************************************************************/
  /**** Extracts from "txt" the text that is between "start" and ****/
 /**** "end" with an optional offset setting from the start     ****/
/******************************************************************/
function Sys_GetText(txt,start,end,offset){
	txt = txt.substr(txt.indexOf(start)+start.length+offset);
	txt = txt.substr(0,txt.indexOf(end));
  return txt;
}//END Sys_GetText


  /******************************************************************/
 /**** Retrieves day and date with a specific offset from today ****/
/******************************************************************/
function Sys_GetDate(offset){
	var temp = new Date();
	var day = "";
	temp.setFullYear(temp.getYear(),temp.getMonth(),temp.getDate()+offset);
	switch (temp.getDay()) {
	    case 0 : day = "So"; break;
			case 1 : day = "Mo"; break;
			case 2 : day = "Di"; break;
			case 3 : day = "Mi"; break;
			case 4 : day = "Do"; break;
			case 5 : day = "Fr"; break;
			case 6 : day = "Sa"; break;
	}
	return day + "\r" + String(temp.getDate()) + "." + String((temp.getMonth()+1));
}//END Sys_GetDate

function get_tag(offset){
	var temp = new Date();
	var day = "";
	temp.setFullYear(temp.getYear(),temp.getMonth(),temp.getDate()+offset);
	switch (temp.getDay()) {
	    case 0 : day = "So"; break;
			case 1 : day = "Mo"; break;
			case 2 : day = "Di"; break;
			case 3 : day = "Mi"; break;
			case 4 : day = "Do"; break;
			case 5 : day = "Fr"; break;
			case 6 : day = "Sa"; break;
	}
	return day + "\n" + temp.getDate() + "." + (temp.getMonth()+1);
}//END get_tag

  /*************************************/
 /**** Converts mps to km/h or m/s ****/
/*************************************/
function Sys_Convert(val){	
	if(windUnit == "km/h")
		return Math.round((parseFloat(val) * 1609)/1000);
	else{
		var temp = new String( ( (parseFloat(val) * 1609) / 1000 ) / 3.6 );
	  var rest = temp.substr(temp.indexOf(".")+1,1);
		if(rest != "")
			rest = "." + parseFloat(Math.round(rest));
		temp = new String( parseInt(temp) );
		return temp + rest;
	}
	
}//END Sys_Convert


  /***************************************************************/
 /**** Extrudes the windspeeds from the supplied wind string ****/
/***************************************************************/
function Sys_ParseWind(temp){
	if(Sys_Trim(temp)=="calm")
		return "0 " + windUnit;	    

	temp = temp.substr(temp.indexOf("at")+3);

	if(temp.length<8){
		temp = Sys_Convert(temp.substr(0,temp.indexOf(" ")));
	}else{
		temp2 = Sys_Convert(temp.substr(0,temp.indexOf(" ")));
		temp = temp2 + "-" + Sys_Convert(temp.substr(temp.indexOf("to")+2,temp.indexOf(" mph")));
	}
	return temp + " " + windUnit;
}//END Sys_ParseWind


  /****************************************************************/
 /**** Replaces the symbol number with the corresponding char ****/
/****************************************************************/
function Sys_TranslateSymbol(num){
	var icons = new Array("i","h","h","i","i","h","h","k","h","g","g","h","g","k","k","j","k","i","h","e","e","b","d","w","w","j","d","n","c","l","b","N","C","N","C","i","C","i","i","g","h","k","k","k","b","r","u","s");
	return icons[parseInt(num)];
}//END Sys_TranslateSymbol


  /*****************************************************/
 /**** Removes all white space characters in "str" ****/
/*****************************************************/
function Sys_Trim(str){
	str = str.replace(/\s/gi, "");
	return str;
}//END Sys_Trim



  /*****************************************************/
 /**** Converts necessary HTML characters to ASCII ****/
/*****************************************************/
function Sys_FixHTML(str){
	str = str.replace(/&aring;/g, "");
	str = str.replace(/&auml;/g, "");
	str = str.replace(/&ouml;/g, "");
	str = str.replace(/&Aring;/g, "");
	str = str.replace(/&Auml;/g, "");
	str = str.replace(/&Ouml;/g, "");
	str = str.replace(/&amp;/g, "&");
	str = str.replace(/&nbsp;/g, " ");
	str = str.replace(/&#176;/g, "");
	str = str.replace(/&deg;/g, "");
	str = str.replace(//g, "");
	str = str.replace(/&gt;/gi, ">");
	str = str.replace(/&lt;/gi, "<");
	return str;
}//END Sys_FixHTML


  /*****************************************************************/
 /**** Creates a basic empty XML template for the weather data ****/
/*****************************************************************/
function Sys_CreateBaseXML(xmlDoc){
	xmlDoc.loadXML("<weather><location/><lastforecastupdate>0</lastforecastupdate><url/><today><temp/><tempfeel/><symbol/><condition/><lastmeasure/><dewpoint/><visibility/><pressure/><uvindex/><wind/><humidity/><sunrise/><sunset/><chanceofprecipitation/></today><tonight><temp/><symbol/><condition/><wind/><chanceofprecipitation/></tonight><day2><mintemp/><maxtemp/><symbol/><condition/><wind/><chanceofprecipitation/></day2><day3><mintemp/><maxtemp/><symbol/><condition/><wind/><chanceofprecipitation/></day3><day4><mintemp/><maxtemp/><symbol/><condition/><wind/><chanceofprecipitation/></day4><day5><mintemp/><maxtemp/><symbol/><condition/><wind/><chanceofprecipitation/></day5></weather>");
	return xmlDoc;
}//END CreateBaseXMLDoc
